Page MenuHomePhabricator

cloudvps: telnet project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the telnet project needs to upgrade as soon as possible.

The list of affected VMs is:

  • telnet2.telnet.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/telnet

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 11:53 AM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 11:53 AM

Hey @cscott @tstarling! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.
Also, please assign this task to an individual.

Another ping. Deadline is approaching (2018-12-18).

Just for reference, project telnet depends on Offline Content Generation which was turned off on Oct 2017.

I've tried to retrieve recent pages through it and got not found errors. I've also tried to build the source code with recent versions of nodejs without luck. npm audit currently lists 36 moderate security vulnerabilities. It seems the main dependencies (mw-ocg-bundler, mw-ocg-texter) have been archived following the OCG sunset. The node-telnet dependency isn't passing tests anymore and last update was in Sep 2015 (to which wikimedia-telnet is pinned to).

It doesn't look like there is a simple fix to get it back up. The new renderer seems focused on Books only and I couldn't find anything about plain text output (see https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality). This is sad as the telnet project is a cool service.

Ping. Today is Friday and the deadline is Tuesday.

@cscott @tstarling: Today is the deadline.

Andrew added a subscriber: Andrew.Dec 18 2018, 3:50 PM

I've enabled the new region for this project in case someone wants to create a new Stretch vm in eqiad1-r.

I'm inclined to let this age out. In addition to being based on the OCG framework and the old VM infrastructure, it's based on the Parsoid/JS service, which is also due to be replaced in the new year. It would be a good April 1, 2019 project to resurrect it based on Parsoid/PHP (and no OCG), perhaps.

Thanks @cscott ! To confirm -- is it OK if I delete this VM and project? Do we want to confirm with Tim before I take action?

Hi! Since the deadline already passed, we agreed on shutting down remaining Trusty instances on 2019-01-18. More info at https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects

@cscott please see @Andrew's comment

It seems the VM has been deleted.

aborrero closed this task as Resolved.Jan 21 2019, 4:44 PM
aborrero claimed this task.

@Krenair thank you, I've shutdown that instance as well

Can that remaining VM be deleted now?

Can that remaining VM be deleted now?

@Andrew suggested we delete VMs once we are reimaging the servers.

aborrero closed this task as Resolved.Feb 12 2019, 4:30 PM

Mentioned in SAL (#wikimedia-cloud) [2019-03-14T23:06:38Z] <bd808> Deleted telnet2.telnet.eqiad.wmflabs (T204694)